# Source code for azure.mgmt.apimanagement.models.recipients_contract_properties_py3

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class RecipientsContractProperties(Model):
        """Notification Parameter contract.

        :param emails: List of Emails subscribed for the notification.
        :type emails: list[str]
        :param users: List of Users subscribed for the notification.
        :type users: list[str]
        """

        _attribute_map = {
            'emails': {'key': 'emails', 'type': '[str]'},
            'users': {'key': 'users', 'type': '[str]'},
        }

        def __init__(self, *, emails=None, users=None, **kwargs) -> None:
            super(RecipientsContractProperties, self).__init__(**kwargs)
            self.emails = emails
            self.users = users